<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myServiceReminderLabel" jhiTranslate="mpmApp.serviceReminder.home.createOrEditLabel">Create or edit a Service Reminder</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="true">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="serviceReminder.idReminder" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.serviceReminder.days" for="field_days">Days</label>
            <input currencyMask class="form-control" name="days" id="field_days"
                [(ngModel)]="serviceReminder.days"
                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                 />
        </div>

        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.serviceReminder.claimType" for="field_claimType">Claim Type</label>
            <select class="form-control" id="field_claimType" name="claimType" [(ngModel)]="serviceReminder.claimTypeId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="dealerClaimTypeOption.idClaimType" *ngFor="let dealerClaimTypeOption of dealerclaimtypes; trackBy: trackDealerClaimTypeById">{{dealerClaimTypeOption.description}}</option>
            </select>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.serviceReminder.reminderType" for="field_reminderType">Reminder Type</label>
            <select class="form-control" id="field_reminderType" name="reminderType" [(ngModel)]="serviceReminder.reminderTypeId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="dealerReminderTypeOption.idReminderType" *ngFor="let dealerReminderTypeOption of dealerremindertypes; trackBy: trackDealerReminderTypeById">{{dealerReminderTypeOption.description}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
